import { t as resolveMemoryBackendConfig } from "./backend-config-ChqMVy0y.js";
import "./memory-core-host-runtime-files-B2fQPfa9.js";
import { n as getMemorySearchManager, t as closeAllMemorySearchManagers } from "./memory-DXBCTm5C.js";
//#region extensions/memory-core/src/runtime-provider.ts
const memoryRuntime = {
	async getMemorySearchManager(params) {
		const { manager, error } = await getMemorySearchManager(params);
		return {
			manager,
			error
		};
	},
	resolveMemoryBackendConfig(params) {
		return resolveMemoryBackendConfig(params);
	},
	async closeAllMemorySearchManagers() {
		await closeAllMemorySearchManagers();
	}
};
//#endregion
export { memoryRuntime as t };
